Skip to content

Callback for brand order status update
Webhook

Request

The endpoint receives a callback when the brand order status is updated. To receive callback notifications, the customer must provide a callback URL in the create Order (/us/brands/{brandId}/orders) request body or when importing (/us/brands/import) a brand. The callback URL must be a valid URL and must be reachable from Sinch. Read brands callback configuration documentation for more details.

Security
hmacAuth
Bodyapplication/jsonrequired
specversionstringread-onlyrequired

The version of the CloudEvents specification which the event uses. Always "1.0".

ValueDescription
1.0

CloudEvents specification version 1.0.

idstringread-onlyrequired

Unique identifier for the event within the scope of the source. Clients MUST treat events with the same source+id as duplicates.

sourcestring, (uri)read-onlyrequired

URI-reference identifying the context in which the event occurred. Combined with id, this MUST be globally unique per event.

typestringread-onlyrequired

Reverse-DNS-prefixed event type string. The last component identifies the event version (e.g. com.sinch.registrations.brand.order.v1.BrandOrderStatusUpdate).

timestring, (date-time)read-onlyrequired

Timestamp of when the event was produced, in RFC-3339 format with timezone.

dataobject(BrandOrderEventData)

Brand order event payload. Contains the details of the brand order status update that triggered the event.

Payload
{ "specversion": "1.0", "id": "ee34ccbf-919d-462f-8587-dec95a1b11ee", "source": "https://compliance.api.sinch.com/v1/projects/us/brand/212421442412/orders/dec95a1b11b0", "type": "com.sinch.registrations.brand.order.v1.BrandOrderStatusUpdate", "time": "2023-10-01T12:00:00Z", "data": { "projectId": "aad4ccbf-919d-462f-8587-dec95a1b11b0", "resourceId": "aad4ccbf-919d-462f-8587-dec953242342", "resourceType": "US_SC_REGISTRY", "status": "INCOMPLETE", "comments": "Brand Order is incomplete. Please update the address field." } }

Responses

OK

We'd love to hear from you!
Rate this content: